Bug 102914 - "Invalid desktop files" in merged directories
"Invalid desktop files" in merged directories
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: desktop-file-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Ben Levenson
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-22 12:26 EDT by Dave Shield
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Shield 2003-08-22 12:26:56 EDT
Description of problem: When running 'desktop-create-kmenu', it complains
   about assorted desktop files being invalid when found in one of the
   alternative directory locations (e.g. /usr/share/gnome/apps/)
   The exact same file is processed quite happily when located in the
   main /usr/share/applications directory


Version-Release number of selected component (if applicable): 3.1-13


How reproducible: Very


Steps to Reproduce:
1. cp /usr/share/applications/konsole.desktop /usr/share/gnome/apps/TEST.desktop
2. /usr/bin/desktop-create-kmenu 2>&1 | grep TEST
3.
    
Actual results:
Warning: ignoring invalid desktop file /usr/share/gnome/apps/TEST.desktop

Expected results:
Corresponding entry created in menu structure

Additional info:
This is with Ximian XD2 installed.
It may well be that there is some incompatibility there.
I'm quite happy to investigate further, but some advice as to
where to look would be appreciated.
Comment 1 Ngo Than 2003-08-28 10:27:41 EDT
i assign it to correct component
Comment 2 Havoc Pennington 2003-10-04 01:33:26 EDT
Looking at the code, I can't even begin to see how this could happen.
What if you don't rename to TEST.desktop? Very strange.

Idea - maybe konsole.desktop is overridden by another konsole.desktop with the
same name, so isn't really used?
Comment 3 Ray Strode [halfline] 2005-05-12 11:47:36 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 4 Ray Strode [halfline] 2005-05-31 15:35:05 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.